Subject: RE: tty and 1.1.0
From: Earnie Boyd <[email-masked]>
To: Andrew Dalgleish <[email-masked]>, "'Brad Porter'" <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 May 2000 09:18:53 -0700 (PDT)

Hi Andrew,

I thought you were a member of this list.  It has been reported that the tty
setting causes this problem either removing tty or using notty will help.

Also, the updated 1.1.1 version of the Cygwin1.dll may help.  I haven't tried
it yet so don't know.

Earnie.

--- Andrew Dalgleish <[email-masked]> wrote:
> 
> 
> > -----Original Message-----
> > From:	Brad Porter [SMTP:[email-masked]]
> > Sent:	Thursday, May 11, 2000 08:07
> > To:	[email-masked]
> > Subject:	tty and 1.1.0
> > 
> > Hello.  Since moving to version 1.1.0 from the CD version (under NT
> > 4.0sp5),
> > if I have the 'tty' setting in the CYGWIN env. var., then startup or
> > completion of every command takes about 1-2 seconds longer.  This gets
> > frustrating when you have a queue of commands to do.  
> > 
> > Does anyone have any insight to this?  Should I rebuild the tty
> > package with
> > 1.1.0?
> [Andrew Dalgleish]  
> 
> I have a delay of about 2 seconds occuring after the completion of any
> external command.
> This occurs regardless of whether bash is started as "bash" or "sh", and
> regardless of "--login" and/or "-i'.
> This occurs on multiple machines.
> These are all NT - I haven't updated any Win9X boxes yet.
> According to TaskMan bash uses 98% CPU.
> 
> 
> It only occurs for the first shell - if I start another shell within the
> first shell I do not get any delay.
> 
> I've modified cygwin.bat like this:
> @echo off
> set MAKE_MODE=unix
> set PATH=c:\cygwin\bin;c:\cygwin\usr\local\bin;%PATH%
> set CYGWIN=tty ntea ntsec
> set USER=%USERNAME%
> set HOME=/home/%USER%
> bash %1 %2 %3
> 
> And I launch a bash prompt with a shortcut like this:
> c:\cygwin\bin\cygwin.bat -c bash
> 
> 
> I don't know what is the best solution,  but maybe this helps.
> 
> Regards,
> Andrew Dalgleish
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

__________________________________________________
Do You Yahoo!?
Send instant messages & get email alerts with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]